# -*- coding:utf-8 -*-

import sys
from PyQt5.QtCore import QUrl
from PyQt5.QtWebEngineWidgets import QWebEngineView, \
                                     QWebEngineProfile
from PyQt5.QtWidgets import QApplication

app = QApplication(sys.argv)
profile = QWebEngineProfile.defaultProfile()
profile.setPersistentCookiesPolicy(QWebEngineProfile.ForcePersistentCookies)
profile.setCachePath('chrome_cache')
profile.setPersistentStoragePath('chrome_persistent')
view = QWebEngineView()
view.load(QUrl('https://github.com/'))
view.show()
sys.exit(app.exec_())
